##
##  apache-layout.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         apache-layout
Summary:      Apache Extension: Layout
URL:          http://tangent.org/362/mod_layout.html
Vendor:       Brian Aker
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      ASF
Version:      5.1
Release:      20080107

#   list of sources
Source0:      http://download.tangent.org/mod_layout-%{version}.tar.gz
Source1:      apache-layout.conf

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, apache, make
PreReq:       OpenPKG, openpkg >= 20060823, apache
AutoReq:      no
AutoReqProv:  no

%description
    mod_layout is an Apache module that provides both a Footer and
    Header directive to automatically include output from other URIs
    at the beginning and ending of a Web page. It can be used to wrap
    documents for a standard look and feel for a site (or to insert
    banners on any given document in a site). Currently known to support
    mod_perl, PHP and Apache JServ.

%track
    prog apache-layout = {
        version   = %{version}
        url       = http://tangent.org/362/mod_layout.html
        regex     = mod_layout-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n mod_layout-%{version}

%build
    #   build module
    %{l_make} %{l_mflags} \
        APXS=%{l_prefix}/sbin/apxs

%install
    #   install module
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache
    %{l_shtool} install -c -m 755 \
        .libs/mod_layout.so \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache/mod_layout.so
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE apache-layout.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/apache/apache.d/apache-layout.conf'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    #   after upgrade, restart service
    [ $1 -eq 2 ] || exit 0
    eval `%{l_rc} apache status 2>/dev/null`
    [ ".$apache_active" = .yes ] && %{l_rc} apache restart
    exit 0

